Adobe AIR'yi nasıl yükleyebilirim?

153

AIR’de bulunan belirli uygulamaların ağır kullanıcısıyım.

AIR’in Linux’a destek vermediği anlaşılıyor. Adobe AIR Arşivlerindeki eski sürümler bile sadece 32 bit Linux dağıtımını destekliyor gibi görünüyor ve şu an 64 bit yaşıyorum.

Bu koşullarda AIR çalıştırabilmem için ufak bir olasılık var mı? Eğer öyleyse, lütfen bunun için adım adım kurulumun ayrıntılı bir adımını nerede bulabilirim?

    
sordu Vamsi Emani 13.12.2011 15:51

8 cevap

225

Üç program için Air'e ihtiyacım var - YNAB, LongTailPro, Xtend:

  1. Linux için Masaüstünüze Son Sürüm Air 2.6.0'ı İndirin:

  2. Terminali açmak için Ctrl + Alt + T

  3. sudo apt-get install ia32-libs - (x64 Ubuntu'da çalıştırmak istiyorsanız 32bit çöplük; sorun yaşarsanız "Aşağıdakilere bakın: ia32-libs-multiarch ancak kurulabilir değil "- Çözüm )

  4. cd Desktop (dir., Masaüstü dir.)

  5. chmod +x AdobeAIRInstaller.bin (değişiklik modu - yürütme izni yes)

  6. ./AdobeAIRInstaller.bin (Adobe Air lisansını kabul ettikten sonra, şifreniz için sizi uyarır; yüklemek için root erişimi gerekir)

Belki son komuttan sonra bir hata alacaksın?

  

Üzgünüz, bir hata oluştu. Adobe AIR yüklenemedi. Adobe AIR'i yüklemeden önce Gnome Keyring veya KDE KWallet'i yükleyin.

Bu düzeltilebilir:

  • Bir terminalde (varsayılan kısayol: Ctrl + Alt + T), şunu yazın:

    locate libgnome-keyring.so
    
  • Bu benim sonucum (seninki farklı olabilir):

    /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0
    /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0
    
  • Aşağıda, @jmendeth tarafından önerildiği gibi, yükleyiciye bu dosyaları nerede bulacağını söylemenin en kolay yolu LD_LIBRARY_PATH:

    • 32 bit Ubuntu için (12.04 tarihinde test edilmiştir):

      LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu ./AdobeAIRInstaller.bin
      
    • 64 bit Ubuntu için komut satırı muhtemelen:

      LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu ./AdobeAIRInstaller.bin
      

LD_LIBRARY_PATH hilesi işe yaramazsa, şunu deneyebilirsiniz:

  • Önceki komutlarla bulduğunuz konum dizelerinize sembolik bir bağlantı oluşturun:

    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    
  • 32 bit sistemler için aşağıdaki komutları kullanın:

    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    
  • Ardından 4. ve 3. adımları tekrarlayın. 6 (dosyayı yürütme izni değişmediği için 5'i atlamayın).

  • Adobe AIR 2.6.0 yüklendikten sonra sembolik bağlantıları kaldırın:

    sudo rm /usr/lib/libgnome-keyring.so.0
    sudo rm /usr/lib/libgnome-keyring.so.0.2.0
    

Referans:

verilen cevap bashpotato 09.04.2012 04:26
43

Ubuntu 13.10, 14.04, 15.04 ve 15.10 (64 bit)

  1. Adobe Air ve hava uygulamalarının başarılı bir şekilde yüklenmesi ve çalıştırılması için gerekli olan i386 kitaplıklarını yükleyin.

    sudo apt-get install libxt6:i386 libnspr4-0d:i386 libgtk2.0-0:i386 libstdc++6:i386 libnss3-1d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386
    
  2. libgnome-keyring0:i386 paketini yükle.

    sudo apt-get install libgnome-keyring0:i386
    
  3. Adobe Air'in görebileceği şekilde gnome-keyring'e sembolik bağlantılar oluşturun.

    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    
    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0 
    
  4. buradan Adobe Air yükleyicisini indirin.

  5. Yürütme izni verin ve ardından bu .bin dosyasını çalıştırın.

    sudo chmod +x AdobeAIRInstaller.bin
    sudo ./AdobeAIRInstaller.bin
    

Kaynak

Ubuntu 16.04 (64 bit) için not

Ubuntu 16.04 ve üstü için, libnss-mdns:i386 paketi yerine% co_de paketini yükleyin. Bu, bu pakete ilişkin "Paket bulunamadı hatası" sorununu çözecektir.

    
verilen cevap Avinash Raj 29.03.2014 00:36
18

Alternatif olarak, önceden oluşturulmuş bir .deb yükleyebilirsiniz

Her ikisi için de, kullanılabilir durumda olan 2.6 (en son desteklenen Linux sürümü) hava var. buradaki mimariler (Her ikisi de 32 bit altında kullanın ama en azından çalışır). Bunu belirtmek için prusswan 'a teşekkür ederiz.

İhtiyacı olan 32 bit liberin bulunduğundan emin olun:

sudo apt-get install ia32-libs

AMD64'ü (adobeair_2.6.0.19170_amd64.deb) indirip bilgisayarıma yükledim (Precision Pangolin 12.04 ile am64)

sudo dpkg -i adobeair_2.6.0.19170_amd64.deb

Ardından Adobe Air'e ihtiyaç duyulan uygulamayı kurdum ve işe yaradı.

Ubuntu için güncelleme 13:10 + ,

Bu tekniği denedim, "Paket ia32-libs-gtk yüklü değil"

Pakete baktım ve düşündüğüm bağımlılıkları ve diğer ilgili paketleri yüklemeyi denedim doğrudan:

sudo apt-get install gtk2-engines:i386 libart-2.0-2:i386 libcairo2:i386 libcanberra-gtk0:i386 libdatrie1:i386 libgail-common:i386 libgconf2-4:i386 libgtk2.0-0:i386 liblua5.1-0:i386 libpango1.0-0:i386 libpixman-1-0:i386 libqt4-network:i386 libqt4-test:i386 libqtcore4:i386 libthai0:i386 libbonobo2-0:i386 libglade2-0:i386 libgnomecanvas2-0:i386 libidl0:i386 liborbit2:i386 libwmf0.2-7:i386 gtk2-engines-murrine:i386

Ancak bu, ya deb ya da orijinal ikili için çalışmıyordu .

    
verilen cevap yuvilio 29.05.2012 21:56
13

Ubuntu 14.04 - 32 ve 64 bit - kolay .deb install

Multiarch'ın çalışma şekli nedeniyle, artık yeni 64bit Ubuntu'ya i386 .deb dosyasını yükleyebilir ve doğru bağımlılıkları otomatik olarak kurabilirsiniz. (Ayrıca 64 bit .deb sadece ia32-libs bağımlılığı ile paketlenmiş 32bit)

  1. 32 bit'i indirin (64 bit Ubuntu'nuz için bile) deb: İşte (yuvilio'nun cevabı sayesinde) Aynı sitenin 64 bit paketi, 32 bit'in yeniden paketlenmiş halidir. Kullandığınızda sorun yaşarsınız. 64 bit paket yerine, 32 bit ve 64 bit sistemler için 32 bit paketini kullanın Ubuntu 13.10 +.

  2. Yazılım merkezinde açın, Yükle 'yi tıklayın

    Paket kalitesiyle ilgili uyarıyı yok say

Alternatif olarak, Air gerektiren bir Steam oyununuz varsa, bu oyunu kurup çalıştırın ve oyunun ilk akışında Air'i kuracaktır.

Hava kullanan örnek oyunlar:

  • Defenders Quest
  • Anodyne (zaten Air'in yüklü olması durumunda, kafanız karışır, sudo apt-get remove adobeair çalıştırır ve Air ile birlikte geldiği için oyun yükleyicisini tekrar dener)

Bunları, bazı açık kaynak projelerini desteklemek için Haftalık Mütevazi Satış sırasında buldum.

    
verilen cevap Mateo 30.03.2014 13:46
6

1. Adım: Biraz Havayı Alın Sonraki Adobe Air .bin dosyasını indirin ( buradaki doğrudan bağlantı ).

2. Adım: Kurulum

Bir terminali açın (uygulamalar & gt; Aksesuarlar & gt; Terminal) ve İndirilenler klasörünüze (veya .bin dosyasını kaydettiğiniz klasöre) gidin.

* cd Download/

.bin dosyasının yüklemeye izin vermesine izin vermeliyiz, böylece aşağıdaki komutu dikkatli bir şekilde girin: -

* chmod +x AdobeAIRInstaller.bin

Şimdi yükleyelim:

* ./AdobeAIRInstaller.bin

Kurulum zip yapmalı ve her şey yolunda giderse, ‘Uygulamalar & gt; "Adobe Air Application Installer" başlıklı aksesuarlar.

    
verilen cevap Rubyist 10.01.2012 05:14
4

... nihayet bir sorundan sonra ve bu forumda yapılan birçok aramadan sonra, google ve diğer sayfalar bunu yapmayı başardı. Öncelikle, AdobeAir'i kurmaktan vazgeçmemi sağladığından, bana daha fazla heves veren topluluklara teşekkür etmek istiyorum.

Tüm sorun paket oldu ia32-libs ( ia32-libs paketi 64 bit kurulum yüklü 32 bit paketleri. Almak için bir kesmek oldu Ubuntu sürüm 11.10 olduğundan (Oneiric ), Multi Arch eklenmiştir. Bunun için amaçlardan biri, Canonical'in bu desteği desteklemeyi kararlaştırdığı ia32-libs paketi ) paketini kaldırmaktadır.

ia32-libs paketini yüklemek için tek yapmam gereken bu yanıtı eklemek oldu:

1 - can atıyor '' deb İşte ana kısıtlı evren multiversepackage kaynak ''

Bu hızlı ve kolay öğreticiden adımları izledim:

İşte

2 - bu bana Adobe Air For 64-bit Sistemler yüklemek için bu güzel adımlara götüren sayfa

www.thepowerbase.com/2013/06/how-to-install-adobe-air-in-ubuntu-13-04 /

----------------- kullandığım belgeler: ----------- ----

www.askubuntu.com/questions/87447/how-can-i-install-adobe-air
helpx.adobe.com/air/kb/archived-air-sdk-version.html
www.wiki.phoenixviewer.com/ia32-libs-in-ubuntu-13-10
www.ubuntuforums.org/showthread.php?t=2181649
www.askubuntu.com/questions/91815/how-to-install-software-or-upgrade-from-old-    unsupported-release  

S.S. --- Alvar tarafından belirtildiği gibi Linux için Adobe Air artık desteklenmiyor ---

    
verilen cevap Cester Nilap 06.11.2013 10:08
1

Maalesef, geç yıllar sonra "Linux için Adobe AIR artık desteklenmiyor." adobe sayfasının söylediklerinin ardından. Desteklenmeyen sürümleri almak için "AIR arşivi" ni kullanmak mümkündür, 2.6.0 sürümü en yeni kullanılabilir. Daha yeni bir sürümünü gerektiren bir program yüklemeniz gerekiyorsa, bir Windows konuğu olan Sanal kutuya gidebilirsiniz.

Ubuntu 16.10 için önerilen adımlar:

32bit makine için

wget -O adobe-air_i386.deb http://drive.noobslab.com/data/apps/AdobeAir/adobeair_2.6.0.2_i386.deb
sudo dpkg -i adobe-air_i386.deb
sudo apt-get install -f && rm adobe-air_i386.deb

64bit makine için

wget -O adobe-air_amd64.deb http://drive.noobslab.com/data/apps/AdobeAir/adobeair_2.6.0.2_amd64.deb
sudo dpkg -i adobe-air_amd64.deb
sudo apt-get install -f && rm adobe-air_amd64.deb

Ubuntu 16.04 / 14.04 / 12.04 / Linux Nane 18/17/13 için önerilen adımlar (her ikisi de burada ):

wget -O adobe-air.sh http://drive.noobslab.com/data/apps/AdobeAir/adobe-air.sh
chmod +x adobe-air.sh;sudo ./adobe-air.sh
    
verilen cevap Fábio 30.03.2017 19:53
0

Ubuntu 14.04 64-bit'im var. Benim için çalışan Adobe Air'i kurmanın tek yolu, bu yükleme talimatlarının ilk bölümünü izlemekti. Ubuntu'da Balsamiq , ilk etapta yapmaya çalıştığım şey buydu.

Bu talimatların kısa bir özeti: - bu Adobe Air yükleyicisini indirin - 32-bit libgtk paketinin kurulması (ama bu adımı atladım; benim için çalışmadı ve gerekli görünmüyordu) - Iki libgnome anahtarlık dosyalarına sembolik bağlantılar yapma - Adobe Air yükleyicisini çalıştırılabilir ve sudo ile çalıştırabilirsiniz

    
verilen cevap Steve Saporta 29.01.2015 23:46

Etiketlerdeki diğer soruları oku